checkpoint_dir: ./runs
comment: name
data:
  crop_bbox: true
  image_size:
  - 440
  - 440
  images_dir: null
  name_keys:
  - name
  - species
  preprocess_images: false
  test:
    anno_path: /mnt/space/space-home/wild-me/multi-species/splits/msf19-rightwhale/instances_val2023.json
    checkpoint_path: ./runs/ms-flukebook/msf19-rightwhale-440_t0/model_best.bin
    eval_groups:
    - species
    n_filter_min: 2
    n_subsample_max: 10
  train:
    anno_path: /mnt/space/space-home/wild-me/multi-species/splits/msf19-rightwhale/instances_train2023.json
    n_filter_min: 4
    n_subsample_max: null
  use_full_image_path: true
  val:
    anno_path: /mnt/space/space-home/wild-me/multi-species/splits/msf19-rightwhale/instances_val2023.json
    n_filter_min: 2
    n_subsample_max: 10
  viewpoint_list: null
engine:
  device: cuda
  epochs: 20
  loss_module: arcface
  num_workers: 12
  seed: 42
  train_batch_size: 32
  use_wandb: true
  valid_batch_size: 12
exp_name: msf19-rightwhale-440_t0
model_params:
  dropout: 0
  fc_dim: 2048
  loss_module: arcface_subcenter_dynamic
  ls_eps: 0
  margin: 0.5195254015709299
  model_name: efficientnetv2_rw_m
  n_classes: 1244
  pretrained: true
  s: 51.46833212038646
  theta_zero: 0.785
  use_fc: false
project_name: ms-flukebook
scheduler_params:
  lr_decay: 0.8
  lr_max: 0.002576638574613588
  lr_min: 1.288319287306794e-05
  lr_ramp_ep: 15
  lr_start: 2.576638574613588e-05
  lr_sus_ep: 0
test:
  batch_size: 8
  fliplr: false
  fliplr_view: []
